/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { FileInputProps, FileInputValueType } from './file.types';
interface IState {
    value: FileInputValueType;
    error: boolean;
    inputKey: string;
}
export declare class FileInput extends Component<FileInputProps, IState> implements InputImplement<FileInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputIdentity: string;
    textHelperIdentity: string;
    inputRef: HTMLInputElement | undefined;
    constructor(props: FileInputProps);
    shouldComponentUpdate(nextProps: FileInputProps, nextState: IState): boolean;
    setValue(value: FileInputValueType): Promise<any>;
    getValue(): FileInputValueType;
    clear(): Promise<FileInputValueType>;
    validation(): boolean;
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
